Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 203029 - x11-libs/qt-core-4.4.0_rc1 failed not finding /usr/share/qt4/mkspecs
Summary: x11-libs/qt-core-4.4.0_rc1 failed not finding /usr/share/qt4/mkspecs
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-22 15:42 UTC by Carsten Lohrke (RETIRED)
Modified: 2007-12-26 12:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Lohrke (RETIRED) gentoo-dev 2007-12-22 15:42:43 UTC
NOTICE: Qt will not be built with XShape support.

        As a result, drag-and-drop in the Qt Designer will NOT
        work. We recommend that you enable XShape support by passing
        the -xshape switch to ./configure.

Qt is now configured for building. Just run 'gmake'.
Once everything is built, you must run 'gmake install'.
Qt will be installed into /usr

To reconfigure, run 'gmake confclean' and 'configure'.

Could not find mkspecs for your QMAKESPEC(linux-g++) after trying:
        /usr/share/qt4/mkspecs
Error processing project file: /var/tmp/portage/x11-libs/qt-core-4.4.0_rc1/work/qt-x11-preview-opensource-src-4.4.0-tp1/src/tools/moc/moc.pro
 *
 * ERROR: x11-libs/qt-core-4.4.0_rc1 failed.


Please notice that all new Qt 4 ebuilds have to block <qt-4.3.99:4 or something like that.
Comment 1 Caleb Tennis (RETIRED) gentoo-dev 2007-12-22 15:54:50 UTC
hmm, haven't seen this one yet.  do you have qt-4.3 currently installed?  I've got a blocker in qt-core, but it may be in an uncommitted version..will check.
Comment 2 Caleb Tennis (RETIRED) gentoo-dev 2007-12-22 15:57:30 UTC
re: blocker.  is it okay to use the slot deps like that now?
Comment 3 Caleb Tennis (RETIRED) gentoo-dev 2007-12-22 16:04:25 UTC
actually, I *did* just hit this one.  The fix is to call "unset QMAKESPEC" at the beginning of src_compile.

I will submit a revised ebuild, with some other fixes, shortly.
Comment 4 Carsten Lohrke (RETIRED) gentoo-dev 2007-12-22 16:09:45 UTC
Ah, I suspected you didn't see it because of having a previous Qt 4 version installed and not having "collision-protect" in FEATURES (i'd like to urge you to do so in this case) - otherwise Portage would have bailed out because of installing Qt-something-4.4 files above qt-4.3.x.

Regarding slot dependendencies: It requires EAPI=1 before inherit, but yes it's fine to use them, iirc.
Comment 5 Caleb Tennis (RETIRED) gentoo-dev 2007-12-22 16:38:13 UTC
new qt-core should now fix this.

I do use collision protect, but I've been turning it off while doing all of these developing because I knew I'd be overwriting things during the progression :)
Comment 6 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-12-24 21:01:26 UTC
(In reply to comment #5)
> new qt-core should now fix this.

No.
'!<=x11-libs/qt-4.3*:4' is an invalid dependency. You can't use '<=' / '>=' with '*'.
I suggest '!<x11-libs/qt-4.4_rc:4'.
Comment 7 Caleb Tennis (RETIRED) gentoo-dev 2007-12-25 12:47:20 UTC
When I do that, portage complains about it being an invalid version.
Comment 8 Carsten Lohrke (RETIRED) gentoo-dev 2007-12-25 12:52:47 UTC
(In reply to comment #7)
> When I do that, portage complains about it being an invalid version.
> 

Well, Arfrever is right about the * issue. You used qt-4.4_rc1 instead the indeed non-existing qt-4.4_rc?
Comment 9 Caleb Tennis (RETIRED) gentoo-dev 2007-12-25 13:05:11 UTC
hmm.  seems silly, but feel free to commit a fix if you get to it before me.
Comment 10 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2007-12-25 18:31:53 UTC
(In reply to comment #7)
> When I do that, portage complains about it being an invalid version.

My Portage doesn't complain. But you can try with '!<x11-libs/qt-4.4_rc1:4'.

(In reply to comment #8)
> Well, Arfrever is right about the * issue.

I reported Bug #203316.

> You used qt-4.4_rc1 instead the indeed non-existing qt-4.4_rc?

_rc == _rc0

$ python -c 'import portage; print portage.vercmp("4.4_rc", "4.4_rc0")'
0
$ 
Comment 11 Caleb Tennis (RETIRED) gentoo-dev 2007-12-26 12:41:01 UTC
version should be fixed now.